> ## Documentation Index
> Fetch the complete documentation index at: https://developers.tally.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetching workspaces

> Returns a single workspace by its ID with associated members.



## OpenAPI

````yaml GET /workspaces/{workspaceId}
openapi: 3.0.1
info:
  title: OpenAPI
  description: Tally's API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tally.so
security:
  - bearerAuth: []
paths:
  /workspaces/{workspaceId}:
    get:
      summary: Retrieve a workspace
      description: Returns a single workspace by its ID with associated members.
      parameters:
        - name: workspaceId
          in: path
          required: true
          description: The ID of the workspace to retrieve
          schema:
            type: string
      responses:
        '200':
          description: Workspace retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Workspace'
        '401':
          description: Unauthorized
        '404':
          description: Workspace not found
      security:
        - bearerAuth: []
components:
  schemas:
    Workspace:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        members:
          type: array
          items:
            $ref: '#/components/schemas/User'
        invites:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              email:
                type: string
              workspaceIds:
                type: array
                items:
                  type: string
        createdByUserId:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - name
        - members
        - invites
        - createdByUserId
        - createdAt
        - updatedAt
    User:
      type: object
      properties:
        id:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        fullName:
          type: string
        email:
          type: string
        avatarUrl:
          type: string
          format: uri
          nullable: true
        organizationId:
          type: string
        isDeleted:
          type: boolean
        hasTwoFactorEnabled:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        subscriptionPlan:
          type: string
          enum:
            - FREE
            - PRO
            - BUSINESS
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````